Summary:	The FlightGear Flight Simulator
Name:		flightgear
Version:	2.6.0
Release:	%mkrel 2
License:	GPLv2+
Group:		Games/Other
Source0:	http://mirrors.ibiblio.org/pub/mirrors/flightgear/ftp/Source/%{name}-%{version}.tar.bz2
Patch0:         flightgear-2.6.0-mandriva-linkage.patch
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
BuildRequires:	simgear-devel >= %version
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(openthreads)
BuildRequires:	pkgconfig(openscenegraph)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(freealut)
BuildRequires:	boost-devel
BuildRequires:	plib-devel
BuildRequires:	fltk-devel
BuildRequires:	cmake
Requires:	flightgear-base
Suggests:	fgrun
URL:		http://www.flightgear.org/
Provides:	FlightGear = %{version}-%{release}

%description
The Flight Gear project is working to create a sophisticated flight simulator
framework for the development and pursuit of interesting flight simulator
ideas. We are developing a solid basic sim that can be expanded and improved
upon by anyone interested in contributing.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
%cmake -DFG_DATA_DIR=%{_gamesdatadir}/%{name}
%make

%install
%makeinstall_std -C build

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Flight Gear
Comment=Flight Gear Flight Simulator
Exec=fgfs
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;Simulation;
EOF

install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

# build doc is useless for end users
rm -rf %{buildroot}%{_docdir}/FlightGear

%files
%doc README AUTHORS docs-mini/
%{_bindir}/*
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_mandir}/man1/*


%changelog

* Wed Apr 04 2012 luigiwalser <luigiwalser> 2.6.0-2.mga2
+ Revision: 228371
- rebuild for plib

* Fri Feb 24 2012 zezinho <zezinho> 2.6.0-1.mga2
+ Revision: 214206
- fix spec bindir for now
- mandriva build patch to fix link
- new version

  + fwang <fwang>
    - change prefix into games prefix
    - update file list
    - new version 2.4.0 final

  + shadow95 <shadow95>
    - Release 0.1
    - add Suggests: fgrun --> suggest installation fgrun with flightgear
    - clean spec
    - change Exec=fgfs to Exec=fgfs --fg-root=%%{_datadir}/FlightGear in desktop entry

* Tue Jul 19 2011 fwang <fwang> 2.4.0-0.mga2
+ Revision: 126263
- update file list
- fix lib build
- add br
- update br
- br cmake
- New version 2.4.0 (snapshot for now)

* Thu Jun 16 2011 fwang <fwang> 2.0.0-5.mga2
+ Revision: 108067
- rebuild for new osg

* Tue Apr 26 2011 wally <wally> 2.0.0-4.mga1
+ Revision: 91658
- fix desktop file (mga#954)
- fix license

* Wed Apr 20 2011 obgr_seneca <obgr_seneca> 2.0.0-3.mga1
+ Revision: 89204
- rebuild against new libgdal-1.8.0

* Sat Apr 16 2011 ennael <ennael> 2.0.0-2.mga1
+ Revision: 86772
- clean spec file
- imported package flightgear

